#Global Carbon Cycle Model - ConstantFlux


#Set number of time steps
tf=200

#Set the initial value of each pool (initialize pools)
Plant0=560
Soil0=1500
Atmosphere0=750
Ocean0=38000

#Set up vectors (using the rep function) of length tf that are filled with 0s for each pool. The values at each time step will be stored in these vectors.
Plant=rep(0,tf)
Soil=rep(0,tf)
Atmosphere=rep(0,tf)
Ocean=rep(0,tf)

#Set the first value in each vector to the initial value of the pools
Plant[1]=Plant0
Soil[1]=Soil0
Atmosphere[1]=Atmosphere0
Ocean[1]=Ocean0

#Initialize Fluxes
Rp=60 	#Plant respiration
PS=120 	#Photosynthesis
Rs=60 	#Soil respiration
R=0.8 	#Rivers
O2A=90 	#Ocean to atmosphere
A2O=92 	#Atmosphere to ocean
OB=0.1 	#Ocean burial
LF=25	#Litterfall
FF=6#Fossil fuels
VD=0.9#Vegetation destruction
}


#TO SIMPLIFY: only processes included are respiration and photosynthesis
OB=0
O2A=0
A2O=0
R=0
FF=0
VD=0


#Initialize differential equations for constant flux model
dPdt=PS-Rp-VD-LF
dAdt=VD+Rs+Rp+FF+O2A-A2O-PS
dSdt=OB-Rs-FF-R+LF
dOdt=A2O-O2A-OB


###########################
#Running the model is below
#First, write if statements to determine if the model option is constant flux or linear donor contorl
#Then, create a loop to run the model tf time steps
#At every time step, store the value for each pool in the pool vector

#run with constant fluxes

	#For every time step from 1 to the final time step, do the things inside the squiggle brackets
	for (t in 1:tf){
		#pool at next time step = pool at current time step + dPooldt
		Plant[t+1]=Plant[t]+dPdt
		Ocean[t+1]=Ocean[t]+dOdt
		Soil[t+1]=Soil[t]+dSdt
		Atmosphere[t+1]=Atmosphere[t]+dAdt
	}#End for loop

#plot
par(mfrow=c(2,2))#Set the screen to show 2x2 plots
plot(Plant,col="green")
plot(Soil,col="brown")
plot(Ocean,col="blue")
plot(Atmosphere,col="red")

#You can also plot the total C in all the pools.
#par(mfrow=c(1,1))
#plot(Plant+Soil+Ocean+Atmosphere,col="black")
