
nyears=50
timestep=0.25

#Time is a vector from 0 to nyears, by the timestep (i.e. 0, 0.25, 0.5, ... 49.75, 50)
time=seq(0,nyears,by=timestep)

#Set the season to be 0, 0.25, 0.5, or 0.75
season=time-as.integer(time)

#Initialize vectors for photosynthesis, fossil fuels, and counter
ps=rep(0,length(time))
ff=rep(0,length(time))
counter=rep(0,length(time))



#Run for 50 years
#Nyears/timestep = 200, this is how many timepoints needed
for (t in seq(from=0,to=nyears/timestep+1,by=0.25)){ 
	
	
	counter[t]=t
	#Photosynthesis can be modeled by a sine wave
	ps[t]=6*max(0,sin(2*pi*(season[t]-1/4)))
	#Fossil fuel can be modeled linearly (or exponentially...)
	ff[t]=310+1.4/4*t
}

#Plot
par(mfrow=c(1,3))
plot(counter/4+1958,ps,type="l", xlab="Year", ylab="Photosynthesis (CO2 ppm)")
plot(counter/4+1958,ff,type="l", xlab="Year", ylab="Fossil fuels (CO2 ppm)",main="Atmospheric CO2")
plot(counter/4+1958,ps+ff,type="l", xlab="Year",ylab="Fossil fuels (CO2 ppm)")

